Skip to content

Get Operation

GET
/api/v3/projects/{project_id}/operations/{operation_id}
curl --request GET \
--url https://example.com/api/v3/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/operations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0

Return one durable v3 Candidate or Live lifecycle operation.

project_id
required
Project Id
string format: uuid
operation_id
required
Operation Id
string format: uuid
X-Admin-Key
Any of:
string

Successful Response

Media typeapplication/json
ActivationOperationStatus

Machine-readable lifecycle response shared by API, CLI, and dashboard.

object
blocker_reason
Any of:
string
completed_phases
Completed Phases
Array<string>
conditions
Conditions
Array<object>
OperationCondition

Kubernetes-style condition describing one durable operation fact.

object
last_transition_at
required
Last Transition At
string format: date-time
message
required
Message
string
>= 1 characters <= 500 characters
observed_generation
required
Observed Generation
integer
>= 1
reason
required
Reason
string
>= 1 characters <= 100 characters
status
required
Status
string
Allowed values: True False Unknown
type
required
Type
string
>= 1 characters <= 100 characters
current_phase
required
Current Phase
string
evidence_links
Evidence Links
Array<string>
next_action
Any of:
string
operation_id
required
Operation Id
string format: uuid
project_id
required
Project Id
string format: uuid
release_fingerprint
required
Release Fingerprint
string
/^[0-9a-f]{64}$/
release_generation
required
Release Generation
integer
>= 1
release_id
required
Release Id
string format: uuid
required_actor
Any of:
string
status
required
Status
string
Allowed values: pending running paused blocked succeeded failed cancelled
target
required
DeploymentTarget

A mutable deployment pointer to an immutable Project release.

string
Allowed values: candidate live
workspace_id
required
Workspace Id
string format: uuid
Example
{
"conditions": [
{
"status": "True"
}
],
"status": "pending",
"target": "candidate"
}

Authentication failed with a resumable next action.

Media typeapplication/json
ManagementErrorEnvelope

FastAPI error envelope shared by v3 management endpoints.

object
detail
required
ManagementErrorResponse

One bounded error with a coding-agent-safe recovery action.

object
affected_resource
Any of:
string
message
required
Message
string
next_action
Any of:
string
operation_id
Any of:
string format: uuid
phase
Any of:
string
reason_code
required
Reason Code
string
Examplegenerated
{
"detail": {
"affected_resource": "example",
"message": "example",
"next_action": "example",
"operation_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"phase": "example",
"reason_code": "example"
}
}

The authenticated actor lacks the required Project authority.

Media typeapplication/json
ManagementErrorEnvelope

FastAPI error envelope shared by v3 management endpoints.

object
detail
required
ManagementErrorResponse

One bounded error with a coding-agent-safe recovery action.

object
affected_resource
Any of:
string
message
required
Message
string
next_action
Any of:
string
operation_id
Any of:
string format: uuid
phase
Any of:
string
reason_code
required
Reason Code
string
Examplegenerated
{
"detail": {
"affected_resource": "example",
"message": "example",
"next_action": "example",
"operation_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"phase": "example",
"reason_code": "example"
}
}

The scoped management resource was not found.

Media typeapplication/json
ManagementErrorEnvelope

FastAPI error envelope shared by v3 management endpoints.

object
detail
required
ManagementErrorResponse

One bounded error with a coding-agent-safe recovery action.

object
affected_resource
Any of:
string
message
required
Message
string
next_action
Any of:
string
operation_id
Any of:
string format: uuid
phase
Any of:
string
reason_code
required
Reason Code
string
Examplegenerated
{
"detail": {
"affected_resource": "example",
"message": "example",
"next_action": "example",
"operation_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"phase": "example",
"reason_code": "example"
}
}

A stable management invariant prevented progress.

Media typeapplication/json
ManagementErrorEnvelope

FastAPI error envelope shared by v3 management endpoints.

object
detail
required
ManagementErrorResponse

One bounded error with a coding-agent-safe recovery action.

object
affected_resource
Any of:
string
message
required
Message
string
next_action
Any of:
string
operation_id
Any of:
string format: uuid
phase
Any of:
string
reason_code
required
Reason Code
string
Examplegenerated
{
"detail": {
"affected_resource": "example",
"message": "example",
"next_action": "example",
"operation_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"phase": "example",
"reason_code": "example"
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}